/*
 * var.h
 *
 * $Id: var.h,v 1.2 2003/02/11 16:12:34 danny Exp $
 *
 * THE BEER-WARE LICENSE
 *
 * <danny@alphazed.com> wrote this software. As long as you retain this notice,
 * you can do whatever you want with this stuff.  If we meet some day, and you
 * think this stuff is worth it, you can buy me a beer in return.
 *
 * Daniel Lawrence
 */

#ifndef VAR_H
#define VAR_H

typedef struct {
	char *name;
	char *val;
} PAIR;

typedef struct {
	int alloc;
	int size;
	PAIR *a;
} VAR;

void var_init(VAR *);
int var_add(VAR *, char *, char *);
int var_size(VAR *);
int var_get(VAR *, int, char **, char **);
void var_free(VAR *);

#endif
