/*
 * die_msg.c
 *
 * $Id: die_msg.c,v 1.2 2003/02/11 16:01:45 danny Exp $
 *
 * THE BEER-WARE LICENSE
 *
 * <danny@alphazed.com> wrote this software. As long as you retain this notice,
 * you can do whatever you want with this stuff.  If we meet some day, and you
 * think this stuff is worth it, you can buy me a beer in return.
 *
 * Daniel Lawrence
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <errno.h>
#include "toolbox.h"


void
tb_die_msg(char *msg)
{
	fflush(stdout);
	fprintf(stderr, "%s: ", tb_getprogname());

	if (msg == NULL)
		fprintf(stderr, "out of memory");
	else {
		fprintf(stderr, "%s", msg);
		if (msg[0] != '\0' && msg[strlen(msg)-1] == ':')
			fprintf(stderr, " %s", strerror(errno));
	}
	fprintf(stderr, "\n");
	exit(1);
}
