/*
 * rtrims.c -- trim characters from end of string
 *
 * $Id: rtrims.c,v 1.2 2003/02/11 16:01:45 danny Exp $
 *
 * THE BEER-WARE LICENSE
 *
 * <danny@alphazed.com> wrote this software. As long as you retain this notice,
 * you can do whatever you want with this stuff.  If we meet some day, and you
 * think this stuff is worth it, you can buy me a beer in return.
 *
 * Daniel Lawrence
 */

#include <stdio.h>
#include <string.h>
#include "toolbox.h"


char *
tb_rtrims(char *s, char *chars)
{
	char *last;

	if (*s == '\0')
		return s;
	for (last = s + strlen(s) - 1; last >= s; --last)
		if (strchr(chars, *last) == NULL)
			break;
	*(last+1) = '\0';
	return s;
}
