/*
 * strfree.c
 *
 * $Id: strfree.c,v 1.2 2003/02/11 16:01:45 danny Exp $
 *
 * THE BEER-WARE LICENSE
 *
 * <danny@alphazed.com> wrote this software. As long as you retain this notice,
 * you can do whatever you want with this stuff.  If we meet some day, and you
 * think this stuff is worth it, you can buy me a beer in return.
 *
 * Daniel Lawrence
 */

#include <string.h>
#include <stdlib.h>
#include "toolbox.h"
#include "tb__string.h"

char *
tb_strfree(char *cp)
{
	tb__string *p;

	if ((p = tb__strlookup(cp)) == NULL)
		return cp;	/* not managed here */
	tb__strfree(p);
	return NULL;
}
