/*
 * tb__string.h -- private header for string management routines
 *
 * $Id: tb__string.h,v 1.2 2003/02/11 16:01:45 danny Exp $
 *
 * THE BEER-WARE LICENSE
 *
 * <danny@alphazed.com> wrote this software. As long as you retain this notice,
 * you can do whatever you want with this stuff.  If we meet some day, and you
 * think this stuff is worth it, you can buy me a beer in return.
 *
 * Daniel Lawrence
 */

typedef struct {
	char *s;
	int size;
} tb__string;

extern tb__string *tb__strtab;
extern int tb__strtabsize;
extern unsigned tb__strlookups;
extern unsigned tb__strcompares;

tb__string *tb__stralloc(char *cp);
tb__string *tb__strlookup(char *cp);
void tb__strfree(tb__string *p);
