/*===========================================================*\
\*===========================================================*/
#if !defined(__INTERRUPT_EXCEPTION_H__)
#define __INTERRUPT_EXCEPTION_H__

#include <exception>

// This is the exception used for interrupting all threads
class InterruptException : public exception
{
  public:
    virtual const char *what() const throw()
        {return "Thread interrupted";}
};


#endif // __INTERRUPT_EXCEPTION_H__
