/*
 * list_test.c
 *
 * $Id: list_test.c,v 1.2 2003/02/11 16:12:34 danny Exp $
 *
 * THE BEER-WARE LICENSE
 *
 * <danny@alphazed.com> wrote this software. As long as you retain this notice,
 * you can do whatever you want with this stuff.  If we meet some day, and you
 * think this stuff is worth it, you can buy me a beer in return.
 *
 * Daniel Lawrence
 */

#include <stdio.h>
#include "list.h"

int
main(int argc, char **argv)
{
	LIST l;
	char *a[] = {
		"Jan", "Feb", "Mar", "Apr", "May", "Jun",
		"Jul", "Aug", "Sep", "Oct", "Nov", "Dec",
		NULL
	};
	int i;
	int n;
	char *s;

	list_init(&l);
	for (i = 0; a[i] != NULL; ++i)
		if (!list_add(&l, a[i])) {
			fprintf(stderr, "list_add failed\n");
			exit(1);
		}
	n = list_size(&l);
	for (i = -1; i <= n; ++i) {
		s = list_get(&l, i);
		printf("%d: %s\n", i, s == NULL ? "(out of bounds)" : s);
	}
	exit(0);
}
