/*
 * res.h - symbol table interface
 *
 * $Id: res.h,v 1.2 2003/02/11 16:12:34 danny Exp $
 *
 * THE BEER-WARE LICENSE
 *
 * <danny@alphazed.com> wrote this software. As long as you retain this notice,
 * you can do whatever you want with this stuff.  If we meet some day, and you
 * think this stuff is worth it, you can buy me a beer in return.
 *
 * Daniel Lawrence
 */

#ifndef RES_H
#define RES_H

#include "var.h"

typedef struct {
	VAR env;
	char *path;
	char *manpath;
} RESULT;

int res_init(RESULT *);
int res_env(RESULT *, char *var, char *val);
int res_path(RESULT *, char *path);
int res_manpath(RESULT *, char *manpath);
void res_print_sh(FILE *, RESULT *);
void res_print_csh(FILE *, RESULT *);

#endif
