/*
 * var_test.c
 *
 * $Id: var_test.c,v 1.2 2003/02/11 16:12:34 danny Exp $
 *
 * THE BEER-WARE LICENSE
 *
 * <danny@alphazed.com> wrote this software. As long as you retain this notice,
 * you can do whatever you want with this stuff.  If we meet some day, and you
 * think this stuff is worth it, you can buy me a beer in return.
 *
 * Daniel Lawrence
 */

#include <stdio.h>
#include "var.h"

int
main(int argc, char **argv)
{
	VAR v;
	char *a[] = {
		"Jan", "31",
                "Feb", "28",
                "Mar", "31",
                "Apr", "30",
                "May", "31",
                "Jun", "30",
		"Jul", "31",
                "Aug", "31",
                "Sep", "30",
                "Oct", "31",
                "Nov", "30",
                "Dec", "31",
		NULL
	};
	int i;
	int n;
	char *name;
	char *val;

	var_init(&v);
	for (i = 0; a[i] != NULL; i += 2)
		if (!var_add(&v, a[i], a[i+1])) {
			fprintf(stderr, "var_add failed\n");
			exit(1);
		}
	n = var_size(&v);
	for (i = -1; i <= n; ++i) {
		if (!var_get(&v, i, &name, &val))
			printf("%d: (out of bounds)\n", i);
		else
			printf("%d: %s = %s\n", i, name, val);
	}
	exit(0);
}
