/*
 * progname.c
 *
 * $Id: progname.c,v 1.2 2003/02/11 16:01:45 danny Exp $
 *
 * THE BEER-WARE LICENSE
 *
 * <danny@alphazed.com> wrote this software. As long as you retain this notice,
 * you can do whatever you want with this stuff.  If we meet some day, and you
 * think this stuff is worth it, you can buy me a beer in return.
 *
 * Daniel Lawrence
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "toolbox.h"

#if BSDPROGNAME == 1

void
tb_setprogname(char *s)
{
	setprogname(s);
}


char *
tb_getprogname(void)
{
	return getprogname();
}

#else

static char *progname = NULL;

void
tb_setprogname(char *s)
{
	char *cp;

	if ((cp = strrchr(s, '/')) == NULL)
		progname = s;
	else
		progname = cp + 1;
}

char *
tb_getprogname(void)
{
	return progname;
}

#endif
