/*
 * strdump.c
 *
 * $Id: strdump.c,v 1.2 2003/02/11 16:01:45 danny Exp $
 *
 * THE BEER-WARE LICENSE
 *
 * <danny@alphazed.com> wrote this software. As long as you retain this notice,
 * you can do whatever you want with this stuff.  If we meet some day, and you
 * think this stuff is worth it, you can buy me a beer in return.
 *
 * Daniel Lawrence
 */

#include <string.h>
#include <stdlib.h>
#include "toolbox.h"
#include "tb__string.h"


void
tb_strdump(void)
{
	int i;

	for (i = 0; i < tb__strtabsize; ++i) {
		fprintf(stderr, "%3d: ", i);
		if (!tb__strtab[i].s)
			fprintf(stderr, "free");
		else {
			fprintf(
				stderr,
				"%5d %p \"%s\"",
				tb__strtab[i].size,
				(void *)tb__strtab[i].s,
				tb__strtab[i].s
			);
		}
		fprintf(stderr, "\n");
	}
	fprintf(stderr, "%5d lookups\n", tb__strlookups);
	fprintf(stderr, "%5d compares\n", tb__strcompares);
}
